=== debian/control ===
Source: ros-noetic-cob-twist-controller
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libeigen3-dev, liborocos-kdl-dev, liborocos-kdl1.4, python3-setuptools, ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-cob-control-msgs, ros-noetic-cob-srvs, ros-noetic-control-msgs, ros-noetic-dynamic-reconfigure, ros-noetic-eigen-conversions, ros-noetic-geometry-msgs, ros-noetic-kdl-conversions, ros-noetic-kdl-parser, ros-noetic-nav-msgs, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-roslint, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf, ros-noetic-tf-conversions, ros-noetic-trajectory-msgs, ros-noetic-urdf, ros-noetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-cob-twist-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libeigen3-dev, liborocos-kdl-dev, liborocos-kdl1.4, python3-matplotlib, python3-six, ros-noetic-cmake-modules, ros-noetic-cob-control-msgs, ros-noetic-cob-frame-tracker, ros-noetic-cob-script-server, ros-noetic-cob-srvs, ros-noetic-control-msgs, ros-noetic-dynamic-reconfigure, ros-noetic-eigen-conversions, ros-noetic-geometry-msgs, ros-noetic-kdl-conversions, ros-noetic-kdl-parser, ros-noetic-nav-msgs, ros-noetic-pluginlib, ros-noetic-robot-state-publisher, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-rviz, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf, ros-noetic-tf-conversions, ros-noetic-topic-tools, ros-noetic-trajectory-msgs, ros-noetic-urdf, ros-noetic-visualization-msgs, ros-noetic-xacro
Description: The main purpose of the cob_twist_controller is to convert target twists into joint velocities.
 Therefore it makes use of several implemented inverse kinematics approaches at the first order differential level. The inverse differential kinematics solver considers kinematic chain extensions, singularity robustness, redundancy resolution and priority-based methods. To avoid hardware destruction there is a limiter interface active as well. Via parameter server users can dynamically configure the solving strategy.
