## ros-noetic-cob-twist-controller 0.8.22

=== debian/changelog ===
ros-noetic-cob-twist-controller (0.8.22-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 28 Apr 2023 22:00:00 -0000

ros-noetic-cob-twist-controller (0.8.21-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 03 Jan 2023 23:00:00 -0000

ros-noetic-cob-twist-controller (0.8.20-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-twist-controller (0.8.19-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-twist-controller (0.8.18-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-cob-twist-controller (0.8.17-1focal) focal; urgency=high

  * Merge pull request #262 <https://github.com/ipa320/cob_control/issues/262> from fmessmer/debug_cart_vel_recursive
    publish cart vel magnitudes for frames of chain
  * fix catkin_lint
  * calculate fk_vel_recursive based on joint_trajectory_controller state for both desired and actual joint states
  * rename debug node
  * fix getNrOfJoints vs getNrOfSegments and fixed joint handling
  * debug chain
  * provide launch file for debug_evaluate_jointstates
  * fill header.stamp in twist_magnitude msg
  * extend debug_evaluate_jointstates_node to recursively publish cart vel magnitudes for frames of chain
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 22 Dec 2021 23:00:00 -0000

ros-noetic-cob-twist-controller (0.8.16-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 18 Oct 2021 22:00:00 -0000

ros-noetic-cob-twist-controller (0.8.15-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 16 May 2021 22:00:00 -0000

ros-noetic-cob-twist-controller (0.8.14-1focal) focal; urgency=high

  * Merge pull request #254 <https://github.com/ipa320/cob_control/issues/254> from mikaelarguedas/python3-six
    ROS_PYTHON_VERSION conditional dependency for python-six
  * mark exec_depend
  * ROS_PYTHON_VERSION conditional dependency for python-six
  * Contributors: Felix Messmer, Mikael Arguedas, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 May 2021 22:00:00 -0000

ros-noetic-cob-twist-controller (0.8.13-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Apr 2021 22:00:00 -0000

ros-noetic-cob-twist-controller (0.8.12-1focal) focal; urgency=high

  * Merge pull request #243 <https://github.com/ipa320/cob_control/issues/243> from fmessmer/test_noetic
    test noetic
  * ROS_PYTHON_VERSION conditional dependency for matplotlib
  * conditional depend for orocos-kdl
  * use setuptools instead of distutils
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 20 Oct 2020 22:00:00 -0000

ros-noetic-cob-twist-controller (0.8.11-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Mar 2020 23:00:00 -0000

ros-noetic-cob-twist-controller (0.8.10-1focal) focal; urgency=high

  * Merge pull request #228 <https://github.com/ipa320/cob_control/issues/228> from fmessmer/feature/python3_compatibility_melodic
    [ci_updates] pylint + Python3 compatibility - melodic
  * disable simple_script_server import error
  * Use six.moves.input for all uses of raw_input/input
  * fix modules
  * fix pylint errors
  * python3 compatibility via 2to3
  * Merge pull request #226 <https://github.com/ipa320/cob_control/issues/226> from fmessmer/ci_updates_melodic
    [travis] ci updates - melodic
  * catkin_lint fixes
  * Contributors: Felix Messmer, Loy van Beek, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-twist-controller (0.8.1-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-noetic-cob-twist-controller (0.8.0-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 08 Aug 2019 22:00:00 -0000

ros-noetic-cob-twist-controller (0.7.8-1focal) focal; urgency=high

  * Merge pull request #210 <https://github.com/ipa320/cob_control/issues/210> from fmessmer/missing_target_dependency
    add missing target dependency
  * add missing target dependency
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 08 Aug 2019 22:00:00 -0000

ros-noetic-cob-twist-controller (0.7.7-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-noetic-cob-twist-controller (0.7.6-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-noetic-cob-twist-controller (0.7.5-1focal) focal; urgency=high

  * Merge pull request #206 <https://github.com/ipa320/cob_control/issues/206> from fmessmer/improve_lookat_extension
    improve lookat extension
  * implement lookat_pointing_frame
  * fix lookat_chain offset, allow KinematicExtension to fail, param-config converter functions
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 19 May 2019 22:00:00 -0000

ros-noetic-cob-twist-controller (0.7.4-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-noetic-cob-twist-controller (0.7.3-1focal) focal; urgency=high

  * Merge pull request #197 <https://github.com/ipa320/cob_control/issues/197> from ipa320/fmessmer-patch-1
    add missing install tags
  * add missing install tags
  * Contributors: Felix Messmer

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-noetic-cob-twist-controller (0.7.2-1focal) focal; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000
